%define	desktop_vendor	planetccrma

Summary: MIDI controller message router
Name: mcontrol
Version: 0.1.03
Release: 1%{?dist}
URL: http://personal.telefonica.terra.es/web/soudfontcombi/mcontrol.html
Source0: http://personal.telefonica.terra.es/web/soudfontcombi/mcontrol-%{version}.tar.gz
Source1: mcontrol.desktop
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils alsa-lib-devel fltk-devel
%if "%{fedora}" >= "5"
BuildRequires: libX11-devel
%else
BuildRequires: XFree86-devel
%endif

%description
mcontrol is a ALSA MIDI sequencer client and brings the possibility to
assign up to twelve "simultaneous" MIDI control messages for each
controller in your MIDI keyboard (Modulation Wheel, Breath Controller,
Foot Controller, Pitch Bend and After Touch).

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# desktop file categories
BASE="X-PlanetCCRMA X-Fedora Application AudioVideo"
XTRA="X-MIDI"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/mcontrol
%{_datadir}/mcontrol
%{_datadir}/applications/*mcontrol.desktop

%changelog
* Mon Jan  8 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.03-1
- initial build
